Activity log for bug #402759

Date Who What changed Old value New value Message
2009-07-21 22:23:30 noah bug added bug
2009-07-21 22:24:16 noah description Binary package hint: upstart I've got a system that was initially installed with Ubuntu Hardy. During May or June it was upgraded to Ubuntu Karmic. It's running with the console on ttyS0 which is a serial interface. The kernel is booted with 'console=ttyS0,57600n8' on the command line and then I had a getty to start listening on /dev/ttyS0 by creating a /etc/event.d/ttyS0 file. During an upgrade (apt-get dist-upgrade) somewhere in early July the getty is no longer started on /dev/ttyS0. This is what things used to look like in /etc/event.d/ root@ubuntu:/etc/event.d# grep /getty tty* tty1:exec /sbin/getty -8 38400 tty1 tty2:exec /sbin/getty -8 38400 tty2 tty3:exec /sbin/getty -8 38400 tty3 tty4:exec /sbin/getty -8 38400 tty4 tty5:exec /sbin/getty -8 38400 tty5 tty6:exec /sbin/getty -8 38400 tty6 ttyS0:exec /sbin/getty -L ttyS0 57600 vt102 Now, after the upgrade in early July it seems as if the file in /etc/event.d are no longer used. The getty for ttyS0 is not longer started. Instead the files responsible for launching gettys are located in /etc/init. After "porting" the old /etc/event.d/ttyS0 file to the new format used by the upstart package and placing it in /etc/init as ttyS0.conf I got getty back on /dev/ttyS0. I'm not entirely sure what happened but it seems as if my installation, after the dist-upgrade in early July, stopped using stuff from the package system-services and instead started using files from the package upstart. Whatever happened in my case, when /etc/event.d stopped being used, should have been handled better. Just imagine an upgrade on a co-located machine (which migt not be easily accessible) which will result in an administrators no longer being able to login on the serial console. Here's output from dpkg that shows what package owns which files, using the launch file for tty1 as an example: # dpkg -S /etc/event.d/tty1 /etc/init/tty1.conf system-services: /etc/event.d/tty1 upstart: /etc/init/tty1.conf For what it's worth: # dpkg -l|egrep 'system-services|upstart|console' ii console-setup 1.34ubuntu1 console font and keymap setup program ii console-terminus 4.28-1 Fixed-width fonts for fast reading on the Li ii consolekit 0.3.0-2ubuntu7 framework for defining and tracking users, s ii kbd 1.15-1ubuntu1 Linux console font and keytable utilities rc system-services 0.3.10-2 definitions of essential system services ii upstart 0.6.1-1 event-based init daemon rc upstart-compat-sysv 0.3.10-2 compatibility for System-V-like init rc upstart-logd 0.3.10-2 boot logging daemon # lsb_release -rd Description: Ubuntu karmic (development branch) Release: 9.10 Binary package hint: upstart I've got a system that was initially installed with Ubuntu Hardy. During May or June it was upgraded to Ubuntu Karmic. It's running with the console on ttyS0 which is a serial interface. The kernel is booted with 'console=ttyS0,57600n8' on the command line and then I had a getty to start listening on /dev/ttyS0 by creating a /etc/event.d/ttyS0 file. During an upgrade (apt-get dist-upgrade) somewhere in early July the getty is no longer started on /dev/ttyS0. This is what things used to look like in /etc/event.d/ root@ubuntu:/etc/event.d# grep /getty tty* tty1:exec /sbin/getty -8 38400 tty1 tty2:exec /sbin/getty -8 38400 tty2 tty3:exec /sbin/getty -8 38400 tty3 tty4:exec /sbin/getty -8 38400 tty4 tty5:exec /sbin/getty -8 38400 tty5 tty6:exec /sbin/getty -8 38400 tty6 ttyS0:exec /sbin/getty -L ttyS0 57600 vt102 Now, after the upgrade in early July it seems as if the file in /etc/event.d are no longer used. The getty for ttyS0 is no longer started. Instead the files responsible for launching gettys are located in /etc/init. After "porting" the old /etc/event.d/ttyS0 file to the new format used by the upstart package and placing it in /etc/init as ttyS0.conf I got getty back on /dev/ttyS0. I'm not entirely sure what happened but it seems as if my installation, after the dist-upgrade in early July, stopped using stuff from the package system-services and instead started using files from the package upstart. Whatever happened in my case, when /etc/event.d stopped being used, should have been handled better. Just imagine an upgrade on a co-located machine (which migt not be easily accessible) which will result in an administrators no longer being able to login on the serial console. Here's output from dpkg that shows what package owns which files, using the launch file for tty1 as an example: # dpkg -S /etc/event.d/tty1 /etc/init/tty1.conf system-services: /etc/event.d/tty1 upstart: /etc/init/tty1.conf For what it's worth: # dpkg -l|egrep 'system-services|upstart|console' ii console-setup 1.34ubuntu1 console font and keymap setup program ii console-terminus 4.28-1 Fixed-width fonts for fast reading on the Li ii consolekit 0.3.0-2ubuntu7 framework for defining and tracking users, s ii kbd 1.15-1ubuntu1 Linux console font and keytable utilities rc system-services 0.3.10-2 definitions of essential system services ii upstart 0.6.1-1 event-based init daemon rc upstart-compat-sysv 0.3.10-2 compatibility for System-V-like init rc upstart-logd 0.3.10-2 boot logging daemon # lsb_release -rd Description: Ubuntu karmic (development branch) Release: 9.10
2009-07-21 23:01:15 Scott James Remnant (Canonical) summary Karmic update broke serial console on ttyS0 (related to system-services vs upstart?) Scripts need to be migrated from /etc/event.d to /etc/init
2009-07-22 09:19:01 Scott James Remnant (Canonical) upstart (Ubuntu): milestone karmic-alpha-4
2009-07-22 09:19:01 Scott James Remnant (Canonical) upstart (Ubuntu): assignee Scott James Remnant (scott)
2009-09-10 11:45:24 Scott James Remnant (Canonical) upstart (Ubuntu): milestone karmic-alpha-4 ubuntu-9.10
2009-09-24 18:25:54 Scott James Remnant (Canonical) nominated for series Ubuntu Karmic
2009-09-24 18:25:54 Scott James Remnant (Canonical) bug task added upstart (Ubuntu Karmic)
2009-10-22 17:43:03 Steve Langasek upstart (Ubuntu Karmic): status Triaged Won't Fix
2009-10-26 12:17:05 Scott James Remnant (Canonical) bug task added upstart
2009-10-26 12:17:24 Scott James Remnant (Canonical) affects upstart ubuntu-release-notes
2009-10-26 12:17:24 Scott James Remnant (Canonical) ubuntu-release-notes: assignee Scott James Remnant (scott)
2009-10-26 12:17:43 Scott James Remnant (Canonical) upstart (Ubuntu): status Triaged Won't Fix
2009-10-26 12:17:47 Scott James Remnant (Canonical) ubuntu-release-notes: status New In Progress
2009-10-28 13:12:27 Steve Langasek ubuntu-release-notes: importance Undecided Medium
2009-11-04 18:33:37 P. Mohseni removed subscriber P. Mohseni
2009-11-09 18:11:34 Scott James Remnant (Canonical) ubuntu-release-notes: assignee Scott James Remnant (scott)
2010-05-01 20:41:01 jpascher removed subscriber jpascher
2010-10-09 16:35:21 Robbie Williamson ubuntu-release-notes: status In Progress Fix Released